System.ServiceModel 4.0.0.0 System.ServiceModel.CommunicationException

The (partial) match failure on the service creates a wsa:ActionNotSupported fault on the wire that is turned into a on the client.

This exception derives from that represents a class of recoverable errors that may be thrown during communication between endpoints and that robust indigo1 client and service applications are expected to handle. To prevent a more generic handler for from catching the more specific , catch this exception prior to handling .

This exception is typically thrown on the client when the action related to the operation invoked does not match any action of operations in the server.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Use this constructor when you want to pass an error message to the user. The content of the message parameter should be understandable to the intended users.

  Initializes a new instance of the class with a specified error message.

- Constructor
  4.0.0.0

  This constructor is called during deserialization to reconstruct the exception object transmitted over a stream.

  Initializes a new instance of the class with serialization information and streaming context specified.

  The that contains all the data required to serialize the exception.
  The that specifies the source and destination of the stream.
- Constructor
  4.0.0.0
  To be added.
  To be added.

  Use this constructor when you want to pass an error message and information about an inner exception to the user. The content of the message parameter should be understandable to the intended users.

  An exception that is thrown as a direct result of a previous exception can include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor or a null reference (Nothing in Visual Basic) if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of the exception.